/* Stockage de composantes rvb                  */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2020                                    */

#ifndef ____RVB____
#define ____RVB____

class Rvb  {

  public :
    double r;
    double v;
    double b;

  public :

    /* Constructeurs                            */
    Rvb(void);
    Rvb(double r,double v,double b);
    Rvb(float r,float v,float b);
    Rvb(double *c);
    Rvb(float *c);
    Rvb(Rvb *c);

    /* Destructeur                              */
    ~Rvb(void);

    /* Methode d'affichage texte                */
    void print(void);
};

#endif
